package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 涉密网络设备对象 td_property_net
 * 
 * @author ruoyi
 * @date 2024-05-09
 */
public class TdPropertyNet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 网络设备id */
    private String netId;

    /** 使用单位 */
    @Excel(name = "使用单位")
    private String netDepart;

    /** 使用人员 */
    @Excel(name = "使用人员")
    private String netUser;

    /** 使用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "使用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date netDate;

    /** 所属市州 */
    @Excel(name = "所属市州")
    private String framework;

    /** 所属区县 */
    @Excel(name = "所属区县")
    private String area;

    /** 省份 */
    @Excel(name = "省份")
    private String province;

    /** 密级（0：秘密1：机密2：绝密） */
    @Excel(name = "密级", readConverterExp = "0=秘密,1=机密,2=绝密")
    private String netMiji;

    /** 数量 */
    @Excel(name = "网络终端")
    private String terminalNum;

    /**  */
    private String netRecoverdepart;

    /** 部门 */
    @Excel(name = "部门")
    private String part;

    public void setNetId(String netId) 
    {
        this.netId = netId;
    }

    public String getNetId() 
    {
        return netId;
    }
    public void setNetDepart(String netDepart) 
    {
        this.netDepart = netDepart;
    }

    public String getNetDepart() 
    {
        return netDepart;
    }
    public void setNetUser(String netUser) 
    {
        this.netUser = netUser;
    }

    public String getNetUser() 
    {
        return netUser;
    }
    public void setNetDate(Date netDate) 
    {
        this.netDate = netDate;
    }

    public Date getNetDate() 
    {
        return netDate;
    }
    public void setFramework(String framework) 
    {
        this.framework = framework;
    }

    public String getFramework() 
    {
        return framework;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setNetMiji(String netMiji) 
    {
        this.netMiji = netMiji;
    }

    public String getNetMiji() 
    {
        return netMiji;
    }
    public void setTerminalNum(String terminalNum) 
    {
        this.terminalNum = terminalNum;
    }

    public String getTerminalNum() 
    {
        return terminalNum;
    }
    public void setNetRecoverdepart(String netRecoverdepart) 
    {
        this.netRecoverdepart = netRecoverdepart;
    }

    public String getNetRecoverdepart() 
    {
        return netRecoverdepart;
    }
    public void setPart(String part) 
    {
        this.part = part;
    }

    public String getPart() 
    {
        return part;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("netId", getNetId())
            .append("netDepart", getNetDepart())
            .append("netUser", getNetUser())
            .append("netDate", getNetDate())
            .append("framework", getFramework())
            .append("area", getArea())
            .append("province", getProvince())
            .append("netMiji", getNetMiji())
            .append("terminalNum", getTerminalNum())
            .append("netRecoverdepart", getNetRecoverdepart())
            .append("part", getPart())
            .toString();
    }
}
